<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion = new sesion();
$sesion->set('permiso', permisos($_POST['privilegio']));
$codconfig = $sesion->get('configuracion');
//print_r ($sesion->get('configuracion'));
//echo $codconfig['cod_config'];
require_once("../includes/academia.locale.php");

require_once("../includes/lib_lenguaje.php");
$cleguaje = new cLanguage();

if (!comprobar_sesion()) {
    mensaje($cleguaje->Phrase('global', 'ses_cad'), $cleguaje->Phrase('project', 'institucion'));
    exit;
}

require_once('../includes/MySQL.php');
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));


if (trim($_REQUEST['accion']) != 'new') {
    $codigo = $_REQUEST['codigo'];
    $sql = "SELECT cod_asigxgrupo, cod_asi, cod_grupo, cod_profesor, ihs, num_evaluaciones, fecha_inicio, fecha_fin, rep_fuera_fecha, cod_tipo_evaluacion, id_escala FROM aca_asignaturasxgrupos WHERE cod_asigxgrupo='$codigo'";

    $academia->instruccion($sql);
    $row = $academia->extraer_registro();
    $codasigxgrupo = $row['cod_asigxgrupo'];
    $codasi = $row['cod_asi'];
    $codgrupo = $row['cod_grupo'];
    $codprofesor = $row['cod_profesor'];
    $ihs = $row['ihs'];
    $numevaluaciones = $row['num_evaluaciones'];
    $fechainicio = $row['fecha_inicio'];
    $fechafin = $row['fecha_fin'];
    $reportar = $row['rep_fuera_fecha'];
    $codtipoevaluacion = $row['cod_tipo_evaluacion'];
    $idescala = $row['id_escala'];
    $accion = 'edit';

    $academia->liberar();

    $sql2 = "SELECT
				COUNT(aca_calxasixest.cod_calxasixest) AS t
			FROM
				aca_calxasixest
				INNER JOIN aca_estxasigxgrupos 
					ON (aca_calxasixest.cod_estxasigxgrupo = aca_estxasigxgrupos.cod_estxasigxgrupos)
			WHERE aca_estxasigxgrupos.cod_asigxgrupo ='$codigo' AND (NOT (ISNULL(nota_numeros)) OR nota_numeros<>'')";

    $academia->instruccion($sql2);
    $r_c = $academia->extraer_registro();
    $cat_r = $r_c[t];
    $academia->liberar();
} else
    {
    $codigo = $_REQUEST['codgrupo'];
    $codasi = $_REQUEST[codmateria];
    $sql = "SELECT aca_grupos.fecha_inicio AS fecha_inicio_grupo
    , aca_grupos.fecha_fin AS fecha_fin_grupo
    , aca_grupos.cod_director
	FROM aca_grupos
	WHERE cod_grupo='$codigo'";

    $academia->instruccion($sql);
    $row = $academia->extraer_registro();
    $fechainicio = $row['fecha_inicio_grupo'];
    $fechafin = $row['fecha_fin_grupo'];
    $codprofesor = $row['cod_director'];
    $ihs = '3';
    $codtipoevaluacion = 1;
    $poractitudinal = '33 %';
    $porprocedimental = '33 %';
    $porconceptual = '34 %';
    $numevaluaciones = '4';
    $idescala = '1';
    $reportar = 0;
    $accion = 'new';
}
?>
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
            "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title>Asignaturas</title>

        <script type="text/javascript">
            //---------------------------------------------------------------------------------------------------------------------
            var datosCnSaber = [];
            var dtsPorcen = {};
            $(function () {
                var tipo
                //	var datosCnSaber=[];
                $(document).ready(function () {
                    tipo = $("#accion").attr('acc');
                    var auxNumEval = "<?php echo $numevaluaciones ?>"
                    var newNumEval = auxNumEval;
                    if (tipo == 'edit') {
                        var ver_escalas = "<?php echo $cat_r  // para saber si ya tiene notas no mostar escalas      ?>"
                        var num_eva = parseInt($("#txtnum_evaluaciones").val());
                        if (parseInt(ver_escalas) > 0) {
                            //$("#txtid_escalas").attr("disabled",true);
                        } else {
                            $("#auxidescalas").attr("disabled", true);
                        }
                    }

                    $("#accion").click(function (event) {
                        event.preventDefault();
                        if (tipo == 'new') {
                            <?php $ms = 'newexito' ?>
                            accion()
                        } else if (tipo == 'edit') {
                            <?php $ms = 'editexito' ?>
                            var num_eva_ac = parseInt($("#txtnum_evaluaciones").val())
                            if (num_eva_ac < num_eva) {
                                jConfirm('<?php echo $cleguaje->Phrase('gruposmaterias', 'confir_num_notasxperiodo') ?>', '<?php echo $cleguaje->Phrase('project', 'institucion') ?>', function (r) {
                                    if (!r)
                                        return false
                                    accion()
                                })
                            } else {
                                accion()
                            }
                        }
                    });

                    function accion() {
                        var n_asig;
                        if (tipo == 'edit') {
                            n_asig = $("#list_MatGrupos").getCell(cod, 'nom_asi')
                        } else {
                            n_asig = $("#listado_materias").getCell('<?php echo $_REQUEST["codmateria"] ?>', 'nom_asi')
                        }

                        if (!$("table#tableConfigSaberes th:not(:hidden)").hasClass("error")) {
                            jConfirm(dtsLang["gruposmaterias"]["msg_confir_cam"], dtsLang["project"]["institucion"], function (r) {
                                if (!r)
                                    return false;

                                var newDt = {
                                    nom_asi: n_asig,
                                    nom_nom_grupo: $("#txt_numedocumento_est").val(),
                                    nom_tipoiden: $("#txt_tipodocumento_est option:selected").html(),
                                    ap1_pro: $("#txtprofesor option:selected").html(),
                                    ihs: $("#txtihs").val(),
                                    num_evaluaciones: $("#txtnum_evaluaciones option:selected").html(),
                                    fecha_inicio: $("#txtfecha_inicio").val(),
                                    fecha_fin: $("#txtfecha_fin").val(),
                                    rep_fuera_fecha: $("input[name='RadioGroup2']:checked").val(),
                                    nom_tipo_evaluacion: $("#txttipo_evaluacion option:selected").html(),
                                    nombre_escala: $("#txtid_escalas option:selected").html()
                                };

                                $.ajax({
                                    url: "mod_gruposmaterias/opera_matgrupos.php",
                                    type: "POST",
                                    dataType: "json",
                                    data: {
                                        oper: tipo,
                                        id: $("#id").val(),
                                        codmateria: $("#codmateria").val(),
                                        txtprofesor: $("#txtprofesor").val(),
                                        txtihs: $("#txtihs").val(),
                                        txtnum_evaluaciones: $("#txtnum_evaluaciones").val(),
                                        txtfecha_inicio: $("#txtfecha_inicio").val(),
                                        txtfecha_fin: $("#txtfecha_fin").val(),
                                        reportar: ($("#RadioGroup2_0").is(":checked")) ? 1 : 0,
                                        txttipo_evaluacion: $("#txttipo_evaluacion").val(),
                                        txtid_escalas: $("#txtid_escalas").val(),
                                        dtsform: $("#matgrupos_new_edit").serialize(),
                                        dtsporper: recogeDatos(),
                                        cadhoras: recogeDtsIhs(),
                                        cadPorcentage: recogeDtsPorPertxtnum_evaluaciones(),
                                    },
                                    beforeSend: function () {
                                        $("#cboxContent").block();
                                    },
                                    success: function (rta) {
                                        if (rta['error'] == '0') {
                                            var msg = "";
                                            if (tipo == 'new') {
                                                $("#listado_materias").delRowData(parseInt(rta['asig']));
                                                jQuery("#list_MatGrupos").addRowData(rta['id'], newDt);
                                                msg = dtsLang["gruposmaterias"]["msg_new_exito"];
                                            } else {
                                                jQuery("#list_MatGrupos").setRowData(rta['id'], newDt);
                                                msg = dtsLang["gruposmaterias"]["msg_edit_exito"];
                                            }
                                            $("#cboxContent").unblock(dtsLang["project"]["msg_espera"]);
                                            $.fn.colorbox.close();
                                            notifica_ok(msg);
                                        }
                                    }
                                });
                            });
                        } else {
                            jAlert(dtsLang["gruposmaterias"]["msg_porc_vals"], dtsLang["project"]["institucion"], "error")
                        }


                    }

                    var titulo = $("option:selected", "#txtgrupo");
                    var t = titulo.parent()[0].label;
                    if (t) {
                        t = "<em>" + t + " " + titulo.html() + "</em> - <b>Jornada: </b><em>" + $("#txtjornadas option:selected").html() + "</em> - <b>Sede: </b><em>" + $("#txtsedes option:selected").html() + "</em>";
                    }

                    if (tipo == "edit") {
                        var cod = '<?php echo $codigo ?>';
                        var nmat = $("#list_MatGrupos").getCell(cod, 'nom_asi');
                        $("#matgrupo").html('<b><?php echo $cleguaje->Phrase('gruposmaterias', 'editar') ?></b>' + "<em> " + nmat + "</em> " + '<b><?php echo $cleguaje->Phrase('gruposmaterias', 'del_grupo') ?></b>' + " " + t);
                    } else {
                        var nmat = $("#listado_materias").getCell('<?php echo $_REQUEST[codmateria] ?>', 'nom_asi');
                        $("#matgrupo").html('<b><?php echo $cleguaje->Phrase('gruposmaterias', 'agregar') ?></b>' + "<em> " + nmat + "</em> " + '<b><?php echo $cleguaje->Phrase('gruposmaterias', 'al_grupo') ?></b>' + " " + t);
                    }


                    $(this).bind('cbox_complete', function () {
                        $("#txtprofesor").focus();
                    });


                    var dates = $("#txtfecha_inicio, #txtfecha_fin").datepicker({
                        changeMonth: true, // True if month can be selected directly, false if only prev/next
                        changeYear: true,
                        yearRange: 'c-1:c+1',
                        maxDate: "+1Y",
                        minDate: "-1Y",
                        onClose: function (selectedDate) {
                            var option = this.id == "txtfecha_inicio" ? "minDate" : "maxDate",
                                instance = $(this).data("datepicker"),
                                date = $.datepicker.parseDate(
                                    instance.settings.dateFormat ||
                                    $.datepicker._defaults.dateFormat,
                                    selectedDate, instance.settings);
                            dates.not(this).datepicker("option", option, date);
                            $(this).addClass("campos").removeClass("campos_error");
                            $("#txtfecha_fin").removeAttr('disabled');
                        }
                    });

                    $("#txtfecha_inicio, #txtfecha_fin").valida();


                    $('#txtSolGr').click(function () {
                        var gradoAct = ""
                        var objAct = $('#tableConfigSaberes tr[aria-grado!=' + gradoAct + ']:not(:first)');
                        if ($(this).is(":checked")) {
                            objAct.hide();
                        } else {
                            objAct.show();
                        }
                    });

                    $('#txtSolmtr').click(function () {
                        var matAct = $("#codmateria").val();
                        var objAct = $('#tableConfigSaberes tr[aria-mtr!=' + matAct + ']:not(:first)');
                        if ($(this).is(":checked")) {
                            objAct.hide();
                        } else {
                            objAct.show();
                        }
                    });

                    for (i = 1; i <= auxNumEval; i++) {
                        sumTotal(i);
                    }

                    $("#txtnum_evaluaciones").change(function (e) {
                        var x = $("#tableConfigSaberes tr:gt(0)");
                        var nval = $(this).val();
                        var ncol = $("#tableConfigSaberes th.numPer:not(:hidden)").length;
                        var numFilTot = x.length;
                        $("#encaPeriodos").attr("colspan", nval);
                        if (nval > ncol) {
                            var cont = ncol;
                            for (i = ncol; i < nval; i++) {
                                $("<tr><td>Periodo " + (i + 1) + "</td><td><input class='txtnroHora' type='number'  step='0.1' size='2'/></td><td><input class='porcentaje' type='number'  step='0.1' size='2'/></td></tr>").insertAfter("#tbconfigihs tbody tr:last");
                                x.each(function (index, element) {
                                    if (index == 0) {
                                        if (nval <= auxNumEval) {
                                            $("th:hidden:first, td:hidden:first", x).show();
                                            return false;
                                        } else {
                                            $(this).append("<th style='text-align:center'  class='numPer' width='20px'>" + (i + 1) + "</th>");
                                        }
                                    } else {
                                        var cdS = $(this).attr("aria-cd_saber");
                                        cdS = (!cdS) ? cdS : "";

                                        var ax = $(this).attr("cd");
                                        if (ax == "totales") {
                                            $(this).append('<th style="text-align:center"></th>');

                                        } else {
                                            $(this).append('<td style="text-align:center" aria-num="' + (i + 1) + '" ><input class="porcenSabers" aria-ponxperxsab="" aria-codsab="' + cdS + '" aria-vant="" name="txtper[]" type="text"  step="0.1" size="5" aria-numper="' + (i + 1) + '"/></td>');
                                        }
                                    }
                                });
                            }
                        } else {
                            for (i = nval; i < ncol; i++) {
                                if (nval < auxNumEval)
                                    $("th:not(:hidden):last, td:not(:hidden):last", x).hide()
                                else
                                    $("th:last, td:last", x).remove()
                                $("#tbconfigihs tbody tr:last").remove();
                            }
                        }
                        newNumEval = nval;
                        $("input[type=number]").valida({
                            rulers: 3,
                            mincar: 0,
                            lcapital: false,
                        })
                    });

                    $("#tbconfigihs tbody").delegate("input", "blur", function () {
                        sumTotHor();
                    })

                    function sumTotHor() {
                        var sum = 0;
                        var num;
                        $("#tbconfigihs tbody tr td input.txtnroHora").each(function (index, element) {
                            num = parseInt($(this).val());
                            num = isNaN(num) ? 0 : num;
                            sum += num;
                        });
                        $("#tothorasprog").html(sum);
                        sum = 0;
                        $("#tbconfigihs tbody tr td input.porcentaje").each(function (index, element) {
                            num = parseFloat($(this).val());
                            num = isNaN(num) ? 0 : num;
                            sum += num;
                        });
                        sum = sum.toFixed(2)
                        var color = (sum != 100) ? "#F00" : "#090"
                        $("#totporcentage").html(sum).css("color", color)
                        if (sum != 100)
                            $("#totporcentage").html(sum).addClass("error");
                        else
                            $("#totporcentage").html(sum).removeClass("error");
                    }

                    /*---------------------------------------------------*/
                    var ban = 0;
                    $("#txtnewsaber").change(function () {
//            alert("xx")
                        var nomSab = $("option:selected", this).text();
                        if ($(this).val() != "0x") {
                            var tr = '<tr aria-cd_saber="' + $(this).val() + '"><td>' + nomSab + '</td>';

                            for (i = 0; i < newNumEval; i++) {
                                if (tipo != 'edit' && ban == 0) {
                                    tr += '<td  style="text-align:center"><input class="porcenSabers" name="txtper[]" aria-ponxperxsab="" aria-codsab="' + $(this).val() + '" aria-numper="' + (i + 1) + '" type="text"  step="0.1" size="5" value="100" /></td>';

                                } else {
                                    tr += '<td  style="text-align:center"><input class="porcenSabers" name="txtper[]" aria-ponxperxsab="" aria-codsab="' + $(this).val() + '" aria-numper="' + (i + 1) + '" type="text"  step="0.1" size="5" value="" /></td>';
                                }
                            }
                            ban = 1
                            tr += '</tr>';
//                alert(tr)
                            $(tr).insertAfter("#tableConfigSaberes thead tr:last")
                                .delegate('input.porcenSabers', "blur", function (e) {
                                    var numCol = $(this).attr("aria-numper");
                                    sumTotal(numCol);
                                });
                            $("input.porcenSabers").trigger("blur");
                        }
                        $("option:selected", this).remove();
                        $("input[type=number]").valida({
                            rulers: 3,
                            mincar: 0,
                            lcapital: false,
                        });
                    });

                    $("input.porcenSabers", "#tableConfigSaberes tr:gt(1):not(.totales,.newsab)").blur(function (e) {
                        var numCol = $(this).attr("aria-numper");
                        sumTotal(numCol);
                    });

                    /*Recorrer para calcular el porcentaje  total*/

                    function sumTotal(numCol) {
                        var selec = "";
                        var porcen = 0;
                        var valInput = 0;
                        var fils = $("#tableConfigSaberes tr:gt(1):not(.totales,.newsab)");
                        //$("td:eq(2) input",$("#tableConfigSaberes tr:gt(1)").first()).val()
                        fils.each(function (index, element) {
                            selec = "td:eq(" + numCol + ") input";
                            valInput = parseInt($(selec, $(this)).val());
                            porcen += (isNaN(valInput)) ? 0 : valInput;
                        });
                        var color = (porcen != 100) ? "#F00" : "#090"
                        var idtot = $("#tableConfigSaberes tr.totales th:eq(" + numCol + ")");
                        idtot.html(porcen).css("color", color)
                        if (porcen != 100)
                            idtot.addClass("error");
                        else
                            idtot.removeClass("error");
                    }

                    $("input[type=number]").valida({
                        rulers: 3,
                        mincar: 0,
                        lcapital: false,
                    })

                });

                /*fin ready*/

                function recogeDtsIhs() {
                    var cad = "";
                    $("#tbconfigihs tbody tr td input.txtnroHora").each(function (index, element) {
                        if ($.trim($(this).val()) != "")
                            cad += $(this).val() + "|";
                        else
                            cad += "16|";
                    });
                    return cad;
                }

                function recogeDtsPorPertxtnum_evaluaciones() {
                    var cad = "";
                    var nroEva = $("#txtnum_evaluaciones").val();

                    $("#tbconfigihs tbody tr td input.porcentaje").each(function (index, element) {
                        if ($.trim($(this).val()) != "")
                            cad += $(this).val() + "|";
                        else
                            cad += "16|";
                    });
                    return cad;
                }

                function recogeDatos() {
                    dtsPorcen = {};
                    $("input.porcenSabers", "#tableConfigSaberes tr:gt(1):not(.totales,.newsab)").each(function (i, e) {
                        var codSab = $(this).attr("aria-codsab");
                        if (!codSab) {
                            codSab = $(this).parents("tr").attr("aria-cd_saber");
                        }
                        var cdPonxPerxSab = $(this).attr("aria-ponxperxsab");
                        /*  codigo del registro en caso de ser edit*/

                        var porNewSab = parseInt($.trim($(this).val()));
                        /* % el valor escrito en el momento */
                        porNewSab = (isNaN(porNewSab)) ? 0 : porNewSab;

                        var porAntSab = parseInt($.trim($(this).attr("aria-vant")));
                        /* % Lo que habia anteriormente*/
                        porAntSab = (isNaN(porAntSab)) ? 0 : porAntSab;

                        var periodo = $.trim($(this).attr("aria-numper"));
                        /* periodo*/
                        var acc = "NEW"

                        if (cdPonxPerxSab != "") {
                            acc = "EDIT";
                            if (porNewSab == "" || porNewSab == 0) {
                                acc = "DEL";
                            }
                            codSab = cdPonxPerxSab;
                        }

                        if (porNewSab != porAntSab) {
                            if (!dtsPorcen[periodo])
                                dtsPorcen[periodo] = [];
                            dtsPorcen[periodo].push({
                                cd: codSab,
                                ac: acc,
                                v: porNewSab
                            });
                        }

                    });
                    return dtsPorcen;
                }

            });

        </script>


    </head>

    <body>

    <div id="contenedor">
        <table border="0" align="center">
            <tr>
                <td align="center" class="ui-widget-header"><span class="tit1" id='matgrupo'> </span></td>
            </tr>
            <tr>
                <td>
                    <form method="post" name="matgrupos_new_edit" id="matgrupos_new_edit">
                        <input name="id" type="hidden" id="id" value="<?php echo $codigo ?>"/>

                        <input type="hidden" name="oper" id="oper" value="<?php echo $accion ?>"/>
                        <input type="hidden" name="auxidescalas" id="auxidescalas" value="<?php echo $idescala ?>"/>
                        <input type="hidden" name="codmateria" id="codmateria" value="<?php echo $codasi ?>"/>
                        <table border="0" align="center" cellpadding="4">
                            <tr align="left">
                                <td class="margenes_td"><span
                                            class="tit1"><?php echo $cleguaje->getField('gruposmaterias', 'docente') ?></span><br/>
                                    <div>
                                        <select name="txtprofesor" class="tit2 campos" id="txtprofesor"
                                                style="width:230px" value="<?php echo $coddirector ?>">
                                            <?php
                                            $cmps = "cod_profesor,lower(CONCAT_WS(' ',ap1_pro,ap2_pro,no1_pro,no2_pro)) AS profesor";
                                            $ord = 'ORDER BY ap1_pro,ap2_pro,no1_pro,no2_pro ASC';
                                            $tabla = "pro_profesores";
                                            $cmpcnd = "";
                                            $default = "$codprofesor";
                                            mostrar_cont_selec($cmps, $tabla, $cmpcnd, $ord, $default, false, '', 0, 0, 1);
                                            ?>
                                        </select></div>
                                </td>
                                <td class="margenes_td"><span
                                            class="tit1"><?php echo $cleguaje->getField('gruposmaterias', 'ihs') ?></span>
                                    <div>
                                        <select name="txtihs" class="campos" id="txtihs" style="width:100px"
                                                value="<?php echo $ihs ?>">
                                            <?php
                                            for ($i = 1; $i <= 10; $i++) {
                                                //echo "<option value='$i'>$i </option>";
                                                echo ($i <> $ihs) ? "<option value='$i'>$i </option>" : "<option value='$i' selected='selected'>$i </option>";
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </td>
                                <td class="margenes_td"><span
                                            class="tit1"><?php echo $cleguaje->getField('gruposmaterias', 'num_evaluaciones') ?></span>
                                    <div>
                                        <select name="txtnum_evaluaciones" class="campos" id="txtnum_evaluaciones"
                                                style="width:140px">
                                            <?php
                                            for ($i = 1; $i <= 8; $i++) {
                                                echo ($i <> $numevaluaciones) ? "<option value='$i'>$i </option>" : "<option value='$i' selected='selected'>$i </option>";
                                            }
                                            ?>
                                        </select></div>
                                </td>
                                <td class="margenes_td"><span
                                            class="tit1"><?php echo $cleguaje->Phrase('gruposmaterias', 'escalas') ?></span>
                                    <div>
                                        <select name="txtid_escalas" class="campos" id="txtid_escalas"
                                                style="width:175px" value="<?php echo $idescala ?>">
                                            <?php
                                            $cmps = "id_escala, nombre_escala";
                                            $ord = 'nombre_escala asc';
                                            $tabla = "aca_escalas";
                                            $cmpcnd = "";
                                            $default = "$idescala";
                                            mostrar_cont_selec($cmps, $tabla, $cmpcnd, $ord, $default, false, '', 0, 0, 1);
                                            ?>
                                        </select></div>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="13">
                                    <table cellpadding="2" border="0">
                                        <tr>
                                            <td class="margenes_td"><span
                                                        class="tit1"><?php echo $cleguaje->getField('gruposmaterias', 'fecha_inicio') ?></span>
                                                <div>
                                                    <input name="txtfecha_inicio" type="text" class="campos"
                                                           id="txtfecha_inicio" value="<?php echo $fechainicio ?>"
                                                           size="12" maxlength="15" readonly="readonly"/>
                                                </div>
                                            </td>
                                            <td class="margenes_td"><span
                                                        class="tit1"><?php echo $cleguaje->getField('gruposmaterias', 'fecha_fin') ?></span>
                                                <div>
                                                    <input name="txtfecha_fin" type="text" class="campos"
                                                           id="txtfecha_fin" value="<?php echo $fechafin ?>" size="12"
                                                           maxlength="15" readonly="readonly"/>
                                                </div>
                                            </td>
                                            <td class="margenes_td"><span
                                                        class="tit1"><?php echo $cleguaje->getField('gruposmaterias', 'reportar') ?></span>
                                                <div><span class="tit2">
                                                            Sí<input type="radio" name="RadioGroup2" value="1"
                                                                     id="RadioGroup2_0" <?php echo trim($reportar) == 1 ? 'checked="CHECKED"' : '' ?>/>&nbsp; &nbsp;
                                                            No<input name="RadioGroup2" type="radio" id="RadioGroup2_1"
                                                                     value="2"
                                                                     checked="checked" <?php echo trim($reportar) == 0 ? 'checked="CHECKED"' : '' ?> /></span>
                                                </div>
                                            </td>
                                            <td class="margenes_td"><span
                                                        class="tit1"><?php echo $cleguaje->getField('gruposmaterias', 'tipo_evaluacion') ?></span>
                                                <div>
                                                    <select name="txttipo_evaluacion" class="campos"
                                                            id="txttipo_evaluacion" style="width:135px">
                                                        <?php
                                                        $cmps = "cod_tipo_evaluacion, nom_tipo_evaluacion";
                                                        $ord = 'ORDER BY nom_tipo_evaluacion ASC';
                                                        $tabla = "aux_tipos_evaluaciones";
                                                        $cmpcnd = "";
                                                        $default = $codtipoevaluacion;
                                                        $cmpaux = '';
                                                        mostrar_cont_selec($cmps, $tabla, $cmpcnd, $ord, $default, false, $cmpaux, 0, 0);
                                                        ?>
                                                    </select>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </form>
                </td>
            </tr>
            <tr>
                <td align="center" class="ui-widget-header"><span
                            class="tit1"><?php echo $dtsLang["gruposmaterias"]["enc_desempenios"] ?></span></td>
            </tr>
            <tr>
                <td>
                    <table border="0" align="center" id="tableConfigSaberes"
                           class="table table-condensed table-hover table-bordered  ">
                        <thead>
                        <tr>
                            <th rowspan="2" style="text-align:center; vertical-align:middle" valign="middle"
                                width="200px">Desempeños
                            </th>
                            <th id="encaPeriodos" colspan="<?php echo $numevaluaciones; ?>" style="text-align:center">
                                Porcentaje por periodo
                            </th>
                        </tr>
                        <tr>
                            <?php
                            $auxData = array();
                            $cadTd = "";
                            $cadThTot = "";
                            for ($i = 0; $i < $numevaluaciones; $i++) {
                                echo '<th class="numPer" style="text-align:center" width="20px" aria-num="' . ($i + 1) . '">' . ($i + 1) . '</th>';
                                $auxData[$i + 1]["porcen"] = "";
                                $auxData[$i + 1]["cd"] = "";
                                $cadTd .= '<td style="text-align:center">
									<input name="txtper[]" type="text"  step="0.1" size="5" value="" />
								</td>';
                                $cadThTot .= "<th style='text-align:center'></th>";
                            }
                            ?>
                        </tr>
                        </thead>
                        <?php
                        if ($accion == "edit")
                            $sql = "SELECT * FROM view_porsaberes where cod_asigxgrupo=$codigo   ORDER BY  codsaber ASC, periodo_calif ASC ";
                        else
                            $sql = "select nombre_saber, cod_saber as codsaber, '' as por_saber_asigxgru, defecto,por_defecto from conf_saberes order by orden";
// echo $sql;
                        $academia->instruccion($sql);
                        $auxCdSaber = -1;
                        $contNumPer = 1;
                        $cont = 0;
                        $auxCdSaberx = "";
                        while ($reg = $academia->extraer_registro()) {
                            $codsaber = $reg[codsaber];
                            if ($reg[por_saber_asigxgru] != "") {
                                if ($auxCdSaber != $codsaber) {
                                    if ($auxCdSaber != -1) {
                                        for ($i = 0; $i < $numevaluaciones; $i++) {
                                            echo '
										<td style="text-align:center" aria-num="' . ($i + 1) . '">
											<input class="porcenSabers" name="txtper[]" aria-codsab="' . $data[$i + 1]["codSaber"] . '"  aria-vant="' . $data[$i + 1]["porcen"] . '" aria-ponxperxsab="' . $data[$i + 1]["cod_ponxperxsab"] . '" aria-numper="' . ($i + 1) . '" type="text"  step="0.1" size="5" value="' . $data[$i + 1]["porcen"] . '" />
										</td>
									';
                                        }//fin for
                                        echo '</tr>';
                                        $cont = 1;
                                    }
                                    $auxCdSaberx = "";
                                    echo '<tr aria-cd_saber="' . $codsaber . '"><td>' . $reg[nombre_saber] . '</td>';
                                    $auxCdSaber = $codsaber;
                                    $data = $auxData;
                                    $contNumPer = 1;
                                }

                                $data[$reg[periodo_calif]]["porcen"] = $reg[por_saber_asigxgru];
                                $data[$reg[periodo_calif]]["cod_ponxperxsab"] = $reg[cod_ponxperxsab];
                                $data[$reg[periodo_calif]]["nom"] = $reg[nombre_saber];
                                $data[$reg[periodo_calif]]["codSaber"] = $reg[codsaber];

                                $contNumPer++;
                            } else {
                                if ($accion != 'edit') {
                                    if ($reg['defecto'] == 1) {
                                        echo '<tr aria-cd_saber="' . $reg['codsaber'] . '"><td>' . $reg['nombre_saber'] . '</td>';
                                        for ($j = 0; $j < $numevaluaciones; $j++) {
                                            echo '<td style="text-align:center" aria-num="' . ($j + 1) . '">
												 	<input class="porcenSabers" name="txtper[]" aria-codsab="' . $reg['codsaber'] . '" aria-ponxperxsab="" aria-numper="' . ($j + 1) . '" type="text"  step="0.1" size="5" value="' . $reg['por_defecto'] . '" />
												 </td>';
                                        }
                                        echo "<tr>";
                                    } else {
                                        $cad .= '<option value="' . $reg['codsaber'] . '">' . $reg['nombre_saber'] . '</option>';
                                    }
                                } else {
                                    $cad .= '<option value="' . $reg['codsaber'] . '">' . $reg['nombre_saber'] . '</option>';
                                }
                                //$auxCdSaber=$codsaber;
                            }
                        }//end while

                        if ($auxCdSaber != -1) {
                            for ($i = 0; $i < $numevaluaciones; $i++) {
                                echo '
							<td style="text-align:center" aria-num="' . ($i + 1) . '">
								<input class="porcenSabers" name="txtper[]" aria-codsab="' . $data[$i + 1]["codSaber"] . '"  aria-vant="' . $data[$i + 1]["porcen"] . '" aria-ponxperxsab="' . $data[$i + 1]["cod_ponxperxsab"] . '" aria-numper="' . ($i + 1) . '" type="text"  step="0.1" size="5" value="' . $data[$i + 1]["porcen"] . '" />
							</td>
						';
                            }// fin for
                        }//fin if
                        echo '</tr>';
                        echo '<tfoot><tr class="totales" cd="totales"><th>Total</th>' . $cadThTot . '</tr>';
                        echo '<tr class="newsab"><td><select style="width:200px" class="campos" name="txtnewsaber" id="txtnewsaber" class="tpSaberes"><option value="0x">Seleccionar...</option>' . $cad . '</select></td>' . $cadTd . '</tr></tfoot>';
                        ?>

                    </table>
                    <!--<div><strong>Desea que esta configuracion se realice para cada grupo del grado</strong><input name="txttodos" type="checkbox" value="" checked="checked" /></div>-->
                </td>
            </tr>

            <tr>
                <td class="ui-widget-header" align="center"><?php echo $dtsLang["gruposmaterias"]["enc_ihs"] ?> </td>
            </tr>

            <tr>
                <td>
                    <table id="tbconfigihs" align="center" width="350px"
                           class="table table-condensed table-hover table-bordered">
                        <thead>
                        <tr>
                            <th width="140px">Periodos</th>
                            <th width="210px"><?php echo $dtsLang["gruposmaterias"]["tit_numhoras"] ?></th>
                            <th width="210px"><?php echo '% Periodo' ?></th>
                        </tr>
                        </thead>
                        <?php
                        $tothor = 0;
                        $toporcentage = 0;
                        if ($accion != "new") {
                            $sql = "SELECT periodo_calif AS per ,horas_prog AS numhor, por_periodo FROM aca_detallesxperiodo WHERE cod_asigxgrupo='$codigo' ORDER BY per ASC";
                            $academia->instruccion($sql);
                            while ($reg = $academia->extraer_registro()) {
                                echo '<tr><td>Periodo ' . $reg["per"] . '</td><td><input class="txtnroHora" type="text"  step="0.1" size="5" value="' . $reg['numhor'] . '" /> </td>'
                                    . '<td><input type="text"  step="0.1" class="porcentaje" size="5" value="' . $reg['por_periodo'] . '" /> </td></tr>';
                                $tothor += $reg['numhor'];
                                $toporcentage += $reg['por_periodo'];
                            }
                        } else {
                            for ($x = 1; $x <= $numevaluaciones; $x++) {
                                echo '<tr><td>Periodo ' . $x . '</td> <td><input class="txtnroHora" type="text"  step="0.1" size="5"/></td> <td><input class="porcentaje" type="text"  step="0.1" size="5"/></td> </tr>';
                            }
                        }
                        ?>
                        <tfoot>
                        <tr>
                            <th align="right"><?php echo $dtsLang["gruposmaterias"]["totanio"] ?></th>
                            <th id="tothorasprog"><?php echo $tothor ?></th>
                            <th id="totporcentage"><?php echo $toporcentage ?></th>
                        </tr>
                        </tfoot>
                    </table>
                </td>
            </tr>

            <tr>
                <td align="center" class="tit2"><?php
                    if ($_REQUEST['accion'] != 'new') {
                        //              echo "<input type='image' src='images/guardar.png' id='accion' acc='edit' alt='Actualizar' width='20' height='20' class='opera' title='Actualizar'/>";
                        $ntp = "Actualizar";
                        $tp = "edit";
                    } else {
//                echo "<input type='image' src='images/guardar.png' id='accion' acc='new'  alt='Guardar' width='20' height='20' class='opera' title='Guardar'/>";
                        $ntp = "Guardar";
                        $tp = "new";
                    }
                    ?>

                    <button aria-disabled="false" id="accion" acc='<?php echo $tp ?>' title="<?php echo $ntp ?>"
                            role="button"
                            class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary">
                        <span class="ui-button-icon-primary ui-icon ui-btn-save"></span>
                        <span class="ui-button-text"><?php echo $ntp ?> </span>
                    </button>
                </td>
            </tr>

        </table>
    </div>

    </body>
    </html>
<?php
$academia->cerrar();
?>